VTK: vtkGraphLayoutView Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkGraphLayoutView Class Reference

Lays out and displays a graph. More...

`#include <vtkGraphLayoutView.h>`

Inheritance diagram for vtkGraphLayoutView:
[legend]
Collaboration diagram for vtkGraphLayoutView:
[legend]

## Public Types
typedef vtkRenderView | Superclass
Public Types inherited from vtkRenderView
enum | { INTERACTION_MODE_2D , INTERACTION_MODE_3D , INTERACTION_MODE_UNKNOWN }
enum | { SURFACE = 0 , FRUSTUM = 1 }
enum | { NO_OVERLAP , ALL }
enum | { FREETYPE , QT }
typedef vtkRenderViewBase | Superclass
Public Types inherited from vtkRenderViewBase
typedef vtkView | Superclass
Public Types inherited from vtkView
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkGraphLayoutView * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | AddIconType (const char *type, int index)
| Associate the icon at index "index" in the vtkTexture to all vertices containing "type" as a value in the vertex attribute array specified by IconArrayName. More...
void | ClearIconTypes ()
| Clear all icon mappings. More...
void | SetIconAlignment (int alignment)
| Specify where the icons should be placed in relation to the vertex. More...
void | ZoomToSelection ()
| Reset the camera based on the bounds of the selected region. More...
virtual int | IsLayoutComplete ()
| Is the graph layout complete? This method is useful for when the strategy is iterative and the application wants to show the iterative progress of the graph layout See Also: UpdateLayout();. More...
virtual void | UpdateLayout ()
| This method is useful for when the strategy is iterative and the application wants to show the iterative progress of the graph layout. More...
void | SetVertexLabelArrayName (const char *name)
| The array to use for vertex labeling. More...
const char * | GetVertexLabelArrayName ()
| The array to use for vertex labeling. More...
void | SetEdgeLabelArrayName (const char *name)
| The array to use for edge labeling. More...
const char * | GetEdgeLabelArrayName ()
| The array to use for edge labeling. More...
void | SetVertexLabelVisibility (bool vis)
| Whether to show vertex labels. More...
bool | GetVertexLabelVisibility ()
| Whether to show vertex labels. More...
virtual void | VertexLabelVisibilityOn ()
| Whether to show vertex labels. More...
virtual void | VertexLabelVisibilityOff ()
| Whether to show vertex labels. More...
void | SetHideVertexLabelsOnInteraction (bool vis)
| Whether to hide vertex labels during mouse interactions. More...
bool | GetHideVertexLabelsOnInteraction ()
| Whether to hide vertex labels during mouse interactions. More...
virtual void | HideVertexLabelsOnInteractionOn ()
| Whether to hide vertex labels during mouse interactions. More...
virtual void | HideVertexLabelsOnInteractionOff ()
| Whether to hide vertex labels during mouse interactions. More...
void | SetEdgeVisibility (bool vis)
| Whether to show the edges at all. More...
bool | GetEdgeVisibility ()
| Whether to show the edges at all. More...
virtual void | EdgeVisibilityOn ()
| Whether to show the edges at all. More...
virtual void | EdgeVisibilityOff ()
| Whether to show the edges at all. More...
void | SetEdgeLabelVisibility (bool vis)
| Whether to show edge labels. More...
bool | GetEdgeLabelVisibility ()
| Whether to show edge labels. More...
virtual void | EdgeLabelVisibilityOn ()
| Whether to show edge labels. More...
virtual void | EdgeLabelVisibilityOff ()
| Whether to show edge labels. More...
void | SetHideEdgeLabelsOnInteraction (bool vis)
| Whether to hide edge labels during mouse interactions. More...
bool | GetHideEdgeLabelsOnInteraction ()
| Whether to hide edge labels during mouse interactions. More...
virtual void | HideEdgeLabelsOnInteractionOn ()
| Whether to hide edge labels during mouse interactions. More...
virtual void | HideEdgeLabelsOnInteractionOff ()
| Whether to hide edge labels during mouse interactions. More...
void | SetVertexColorArrayName (const char *name)
| The array to use for coloring vertices. More...
const char * | GetVertexColorArrayName ()
| The array to use for coloring vertices. More...
void | SetColorVertices (bool vis)
| Whether to color vertices. More...
bool | GetColorVertices ()
| Whether to color vertices. More...
virtual void | ColorVerticesOn ()
| Whether to color vertices. More...
virtual void | ColorVerticesOff ()
| Whether to color vertices. More...
void | SetEdgeColorArrayName (const char *name)
| The array to use for coloring edges. More...
const char * | GetEdgeColorArrayName ()
| The array to use for coloring edges. More...
void | SetColorEdges (bool vis)
| Whether to color edges. More...
bool | GetColorEdges ()
| Whether to color edges. More...
virtual void | ColorEdgesOn ()
| Whether to color edges. More...
virtual void | ColorEdgesOff ()
| Whether to color edges. More...
void | SetEdgeSelection (bool vis)
| Whether edges are selectable. More...
bool | GetEdgeSelection ()
| Whether edges are selectable. More...
virtual void | EdgeSelectionOn ()
| Whether edges are selectable. More...
virtual void | EdgeSelectionOff ()
| Whether edges are selectable. More...
void | SetEnabledEdgesArrayName (const char *name)
| The array to use for coloring edges. More...
const char * | GetEnabledEdgesArrayName ()
| The array to use for coloring edges. More...
void | SetEnableEdgesByArray (bool vis)
| Whether to color edges. More...
int | GetEnableEdgesByArray ()
| Whether to color edges. More...
void | SetEnabledVerticesArrayName (const char *name)
| The array to use for coloring vertices. More...
const char * | GetEnabledVerticesArrayName ()
| The array to use for coloring vertices. More...
void | SetEnableVerticesByArray (bool vis)
| Whether to color vertices. More...
int | GetEnableVerticesByArray ()
| Whether to color vertices. More...
void | SetScalingArrayName (const char *name)
| The array used for scaling (if ScaledGlyphs is ON) More...
const char * | GetScalingArrayName ()
| The array used for scaling (if ScaledGlyphs is ON) More...
void | SetScaledGlyphs (bool arg)
| Whether to use scaled glyphs or not. More...
bool | GetScaledGlyphs ()
| Whether to use scaled glyphs or not. More...
virtual void | ScaledGlyphsOn ()
| Whether to use scaled glyphs or not. More...
virtual void | ScaledGlyphsOff ()
| Whether to use scaled glyphs or not. More...
void | SetLayoutStrategy (const char *name)
| The layout strategy to use when performing the graph layout. More...
void | SetLayoutStrategyToRandom ()
| The layout strategy to use when performing the graph layout. More...
void | SetLayoutStrategyToForceDirected ()
| The layout strategy to use when performing the graph layout. More...
void | SetLayoutStrategyToSimple2D ()
| The layout strategy to use when performing the graph layout. More...
void | SetLayoutStrategyToClustering2D ()
| The layout strategy to use when performing the graph layout. More...
void | SetLayoutStrategyToCommunity2D ()
| The layout strategy to use when performing the graph layout. More...
void | SetLayoutStrategyToFast2D ()
| The layout strategy to use when performing the graph layout. More...
void | SetLayoutStrategyToPassThrough ()
| The layout strategy to use when performing the graph layout. More...
void | SetLayoutStrategyToCircular ()
| The layout strategy to use when performing the graph layout. More...
void | SetLayoutStrategyToTree ()
| The layout strategy to use when performing the graph layout. More...
void | SetLayoutStrategyToCosmicTree ()
| The layout strategy to use when performing the graph layout. More...
void | SetLayoutStrategyToCone ()
| The layout strategy to use when performing the graph layout. More...
void | SetLayoutStrategyToSpanTree ()
| The layout strategy to use when performing the graph layout. More...
const char * | GetLayoutStrategyName ()
| The layout strategy to use when performing the graph layout. More...
vtkGraphLayoutStrategy * | GetLayoutStrategy ()
| The layout strategy to use when performing the graph layout. More...
void | SetLayoutStrategy (vtkGraphLayoutStrategy *s)
| The layout strategy to use when performing the graph layout. More...
void | SetEdgeLayoutStrategy (const char *name)
| The layout strategy to use when performing the edge layout. More...
void | SetEdgeLayoutStrategyToArcParallel ()
| The layout strategy to use when performing the edge layout. More...
void | SetEdgeLayoutStrategyToPassThrough ()
| The layout strategy to use when performing the edge layout. More...
const char * | GetEdgeLayoutStrategyName ()
| The layout strategy to use when performing the edge layout. More...
vtkEdgeLayoutStrategy * | GetEdgeLayoutStrategy ()
| The layout strategy to use when performing the edge layout. More...
void | SetEdgeLayoutStrategy (vtkEdgeLayoutStrategy *s)
| The layout strategy to use when performing the edge layout. More...
void | SetIconVisibility (bool b)
| Whether icons are visible (default off). More...
bool | GetIconVisibility ()
| Whether icons are visible (default off). More...
virtual void | IconVisibilityOn ()
| Whether icons are visible (default off). More...
virtual void | IconVisibilityOff ()
| Whether icons are visible (default off). More...
void | SetIconArrayName (const char *name)
| The array used for assigning icons. More...
const char * | GetIconArrayName ()
| The array used for assigning icons. More...
void | SetGlyphType (int type)
| The type of glyph to use for the vertices. More...
int | GetGlyphType ()
| The type of glyph to use for the vertices. More...
virtual void | SetVertexLabelFontSize (int size)
| The size of the font used for vertex labeling. More...
virtual int | GetVertexLabelFontSize ()
| The size of the font used for vertex labeling. More...
virtual void | SetEdgeLabelFontSize (int size)
| The size of the font used for edge labeling. More...
virtual int | GetEdgeLabelFontSize ()
| The size of the font used for edge labeling. More...
void | SetEdgeScalarBarVisibility (bool vis)
| Whether the scalar bar for edges is visible. More...
bool | GetEdgeScalarBarVisibility ()
| Whether the scalar bar for edges is visible. More...
void | SetVertexScalarBarVisibility (bool vis)
| Whether the scalar bar for vertices is visible. More...
bool | GetVertexScalarBarVisibility ()
| Whether the scalar bar for vertices is visible. More...
Public Member Functions inherited from vtkRenderView
vtkRenderView * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | SetInteractor (vtkRenderWindowInteractor *interactor) override
| The render window interactor. More...
virtual void | SetInteractorStyle (vtkInteractorObserver *style)
| The interactor style associated with the render view. More...
virtual vtkInteractorObserver * | GetInteractorStyle ()
| Get the interactor style associated with the render view. More...
void | SetRenderWindow (vtkRenderWindow *win) override
| Set the render window for this view. More...
void | SetInteractionMode (int mode)
virtual int | GetInteractionMode ()
virtual void | SetInteractionModeTo2D ()
| Set the interaction mode for the view. More...
virtual void | SetInteractionModeTo3D ()
void | Render () override
| Updates the representations, then calls Render() on the render window associated with this view. More...
void | ApplyViewTheme (vtkViewTheme *theme) override
| Applies a view theme to this view. More...
virtual void | AddLabels (vtkAlgorithmOutput *conn)
| Add labels from an input connection with an associated text property. More...
virtual void | RemoveLabels (vtkAlgorithmOutput *conn)
| Remove labels from an input connection. More...
virtual void | SetTransform (vtkAbstractTransform *transform)
| Set the view's transform. More...
virtual vtkAbstractTransform * | GetTransform ()
| Set the view's transform. More...
virtual void | SetDisplayHoverText (bool b)
| Whether the view should display hover text. More...
virtual bool | GetDisplayHoverText ()
| Whether the view should display hover text. More...
virtual void | DisplayHoverTextOn ()
| Whether the view should display hover text. More...
virtual void | DisplayHoverTextOff ()
| Whether the view should display hover text. More...
virtual void | SetSelectionMode (int)
| Sets the selection mode for the render view. More...
virtual int | GetSelectionMode ()
| Sets the selection mode for the render view. More...
void | SetSelectionModeToSurface ()
| Sets the selection mode for the render view. More...
void | SetSelectionModeToFrustum ()
| Sets the selection mode for the render view. More...
virtual void | SetIconTexture (vtkTexture *texture)
| Set the icon sheet to use for rendering icons. More...
virtual vtkTexture * | GetIconTexture ()
| Set the icon sheet to use for rendering icons. More...
virtual void | SetIconSize (int, int)
| Set the size of each icon in the icon texture. More...
void | SetIconSize (int[2])
| Set the size of each icon in the icon texture. More...
virtual int * | GetIconSize ()
| Set the size of each icon in the icon texture. More...
virtual void | GetIconSize (int &, int &)
| Set the size of each icon in the icon texture. More...
virtual void | GetIconSize (int[2])
| Set the size of each icon in the icon texture. More...
virtual void | SetDisplaySize (int, int)
| Set the display size of the icon (which may be different from the icon size). More...
void | SetDisplaySize (int[2])
| Set the display size of the icon (which may be different from the icon size). More...
int * | GetDisplaySize ()
| Set the display size of the icon (which may be different from the icon size). More...
void | GetDisplaySize (int &dsx, int &dsy)
| Set the display size of the icon (which may be different from the icon size). More...
virtual void | SetLabelPlacementMode (int mode)
| Label placement mode. More...
virtual int | GetLabelPlacementMode ()
| Label placement mode. More...
virtual void | SetLabelPlacementModeToNoOverlap ()
| Label placement mode. More...
virtual void | SetLabelPlacementModeToAll ()
| Label placement mode. More...
virtual void | SetLabelRenderMode (int mode)
| Label render mode. More...
virtual int | GetLabelRenderMode ()
| Label render mode. More...
virtual void | SetLabelRenderModeToFreetype ()
| Label render mode. More...
virtual void | SetLabelRenderModeToQt ()
| Label render mode. More...
void | SetRenderOnMouseMove (bool b)
| Whether to render on every mouse move. More...
virtual bool | GetRenderOnMouseMove ()
| Whether to render on every mouse move. More...
virtual void | RenderOnMouseMoveOn ()
| Whether to render on every mouse move. More...
virtual void | RenderOnMouseMoveOff ()
| Whether to render on every mouse move. More...
Public Member Functions inherited from vtkRenderViewBase
vtkRenderViewBase * | NewInstance () const
virtual vtkRenderer * | GetRenderer ()
| Gets the renderer for this view. More...
virtual void | SetRenderer (vtkRenderer *ren)
virtual vtkRenderWindow * | GetRenderWindow ()
| Get a handle to the render window. More...
virtual void | ResetCamera ()
| Updates the representations, then calls ResetCamera() on the renderer associated with this view. More...
virtual void | ResetCameraClippingRange ()
| Updates the representations, then calls ResetCameraClippingRange() on the renderer associated with this view. More...
virtual vtkRenderWindowInteractor * | GetInteractor ()
| The render window interactor. More...
Public Member Functions inherited from vtkView
vtkView * | NewInstance () const
void | AddRepresentation (vtkDataRepresentation *rep)
| Adds the representation to the view. More...
void | SetRepresentation (vtkDataRepresentation *rep)
| Set the representation to the view. More...
vtkDataRepresentation * | AddRepresentationFromInputConnection (vtkAlgorithmOutput *conn)
| Convenience method which creates a simple representation with the connection and adds it to the view. More...
vtkDataRepresentation * | SetRepresentationFromInputConnection (vtkAlgorithmOutput *conn)
| Convenience method which sets the representation with the connection and adds it to the view. More...
vtkDataRepresentation * | AddRepresentationFromInput (vtkDataObject *input)
| Convenience method which creates a simple representation with the specified input and adds it to the view. More...
vtkDataRepresentation * | SetRepresentationFromInput (vtkDataObject *input)
| Convenience method which sets the representation to the specified input and adds it to the view. More...
void | RemoveRepresentation (vtkDataRepresentation *rep)
| Removes the representation from the view. More...
void | RemoveRepresentation (vtkAlgorithmOutput *rep)
| Removes any representation with this connection from the view. More...
void | RemoveAllRepresentations ()
| Removes all representations from the view. More...
int | GetNumberOfRepresentations ()
| Returns the number of representations from first port(0) in this view. More...
vtkDataRepresentation * | GetRepresentation (int index=0)
| The representation at a specified index. More...
bool | IsRepresentationPresent (vtkDataRepresentation *rep)
| Check to see if a representation is present in the view. More...
virtual void | Update ()
| Update the view. More...
virtual void | ApplyViewTheme (vtkViewTheme *vtkNotUsed(theme))
| Apply a theme to the view. More...
vtkCommand * | GetObserver ()
| Returns the observer that the subclasses can use to listen to additional events. More...
void | RegisterProgress (vtkObject *algorithm, const char *message=nullptr)
| Meant for use by subclasses and vtkRepresentation subclasses. More...
void | UnRegisterProgress (vtkObject *algorithm)
| Unregister objects previously registered with RegisterProgress. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkGraphLayoutView * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkGraphLayoutView * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkRenderView
static vtkRenderView * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRenderView * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkRenderViewBase
static vtkRenderViewBase * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRenderViewBase * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkView
static vtkView * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkView * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkGraphLayoutView ()
| ~vtkGraphLayoutView () override
vtkDataRepresentation * | CreateDefaultRepresentation (vtkAlgorithmOutput *conn) override
| Overrides behavior in vtkView to create a vtkRenderedGraphRepresentation by default. More...
virtual vtkRenderedGraphRepresentation * | GetGraphRepresentation ()
| Overrides behavior in vtkView to create a vtkRenderedGraphRepresentation by default. More...
void | ProcessEvents (vtkObject *caller, unsigned long eventId, void *callData) override
| Overrides behavior in vtkView to create a vtkRenderedGraphRepresentation by default. More...
Protected Member Functions inherited from vtkRenderView
| vtkRenderView ()
| ~vtkRenderView () override
void | ProcessEvents (vtkObject *caller, unsigned long eventId, void *callData) override
| Called to process events. More...
virtual void | GenerateSelection (void *callData, vtkSelection *selection)
| Generates the selection based on the view event and the selection mode. More...
void | PrepareForRendering () override
| Called by the view when the renderer is about to render. More...
virtual void | UpdateHoverText ()
| Called in PrepareForRendering to update the hover text. More...
virtual void | UpdateHoverWidgetState ()
| Enable or disable hovering based on DisplayHoverText ivar and interaction state. More...
void | UpdatePickRender ()
| Update the pick render for queries for drag selections or hover ballooons. More...
Protected Member Functions inherited from vtkRenderViewBase
| vtkRenderViewBase ()
| ~vtkRenderViewBase () override
Protected Member Functions inherited from vtkView
| vtkView ()
| Meant for use by subclasses and vtkRepresentation subclasses. More...
| ~vtkView () override
| Meant for use by subclasses and vtkRepresentation subclasses. More...
virtual void | AddRepresentationInternal (vtkDataRepresentation *vtkNotUsed(rep))
| Subclass "hooks" for notifying subclasses of vtkView when representations are added or removed. More...
virtual void | RemoveRepresentationInternal (vtkDataRepresentation *vtkNotUsed(rep))
| Meant for use by subclasses and vtkRepresentation subclasses. More...
virtual void | SetReuseSingleRepresentation (bool)
| True if the view takes a single representation that should be reused on Add/SetRepresentationFromInput(Connection) calls. More...
virtual bool | GetReuseSingleRepresentation ()
| Meant for use by subclasses and vtkRepresentation subclasses. More...
virtual void | ReuseSingleRepresentationOn ()
| Meant for use by subclasses and vtkRepresentation subclasses. More...
virtual void | ReuseSingleRepresentationOff ()
| Meant for use by subclasses and vtkRepresentation subclasses. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkRenderView
int | SelectionMode
int | LabelRenderMode
bool | DisplayHoverText
bool | Interacting
bool | InHoverTextRender
bool | InPickRender
bool | PickRenderNeedsUpdate
vtkAbstractTransform * | Transform
vtkTexture * | IconTexture
int | IconSize [2]
int | DisplaySize [2]
int | InteractionMode
bool | RenderOnMouseMove
vtkSmartPointer< vtkRenderer > | LabelRenderer
vtkSmartPointer< vtkBalloonRepresentation > | Balloon
vtkSmartPointer< vtkLabelPlacementMapper > | LabelPlacementMapper
vtkSmartPointer< vtkTexturedActor2D > | LabelActor
vtkSmartPointer< vtkHoverWidget > | HoverWidget
vtkSmartPointer< vtkHardwareSelector > | Selector
Protected Attributes inherited from vtkRenderViewBase
vtkSmartPointer< vtkRenderer > | Renderer
vtkSmartPointer< vtkRenderWindow > | RenderWindow
Protected Attributes inherited from vtkView
bool | ReuseSingleRepresentation
| Meant for use by subclasses and vtkRepresentation subclasses. More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

Lays out and displays a graph.

vtkGraphLayoutView performs graph layout and displays a vtkGraph. You may color and label the vertices and edges using fields in the graph. If coordinates are already assigned to the graph vertices in your graph, set the layout strategy to PassThrough in this view. The default layout is Fast2D which is fast but not that good, for better layout set the layout to Simple2D or ForceDirected. There are also tree and circle layout strategies. :)

.SEE ALSO vtkFast2DLayoutStrategy vtkSimple2DLayoutStrategy vtkForceDirectedLayoutStrategy

Thanks:
  Thanks a bunch to the holographic unfolding pattern.

Examples:
  vtkGraphLayoutView (Examples)

Online Examples:

Tests:
  vtkGraphLayoutView (Tests)

Definition at line 53 of file vtkGraphLayoutView.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkRenderView vtkGraphLayoutView::Superclass

Definition at line 57 of file vtkGraphLayoutView.h.

## Constructor & Destructor Documentation

## ◆ vtkGraphLayoutView()

vtkGraphLayoutView::vtkGraphLayoutView | ( |  | ) |
| protected

## ◆ ~vtkGraphLayoutView()

vtkGraphLayoutView::~vtkGraphLayoutView | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkGraphLayoutView* vtkGraphLayoutView::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkGraphLayoutView::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkGraphLayoutView::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkRenderView.

Reimplemented in vtkHierarchicalGraphView.

## ◆ SafeDownCast()

static vtkGraphLayoutView* vtkGraphLayoutView::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkGraphLayoutView::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkRenderView.

Reimplemented in vtkHierarchicalGraphView.

## ◆ NewInstance()

vtkGraphLayoutView* vtkGraphLayoutView::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkGraphLayoutView::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkRenderViewBase.

Reimplemented in vtkHierarchicalGraphView.

## ◆ SetVertexLabelArrayName()

void vtkGraphLayoutView::SetVertexLabelArrayName | ( | const char * | name | ) |

The array to use for vertex labeling.

Default is "VertexDegree".

## ◆ GetVertexLabelArrayName()

const char* vtkGraphLayoutView::GetVertexLabelArrayName | ( |  | ) |

The array to use for vertex labeling.

Default is "VertexDegree".

## ◆ SetEdgeLabelArrayName()

void vtkGraphLayoutView::SetEdgeLabelArrayName | ( | const char * | name | ) |

The array to use for edge labeling.

Default is "LabelText".

## ◆ GetEdgeLabelArrayName()

const char* vtkGraphLayoutView::GetEdgeLabelArrayName | ( |  | ) |

The array to use for edge labeling.

Default is "LabelText".

## ◆ SetVertexLabelVisibility()

void vtkGraphLayoutView::SetVertexLabelVisibility | ( | bool | vis | ) |

Whether to show vertex labels.

Default is off.

## ◆ GetVertexLabelVisibility()

bool vtkGraphLayoutView::GetVertexLabelVisibility | ( |  | ) |

Whether to show vertex labels.

Default is off.

## ◆ VertexLabelVisibilityOn()

virtual void vtkGraphLayoutView::VertexLabelVisibilityOn | ( |  | ) |
| virtual

Whether to show vertex labels.

Default is off.

## ◆ VertexLabelVisibilityOff()

virtual void vtkGraphLayoutView::VertexLabelVisibilityOff | ( |  | ) |
| virtual

Whether to show vertex labels.

Default is off.

## ◆ SetHideVertexLabelsOnInteraction()

void vtkGraphLayoutView::SetHideVertexLabelsOnInteraction | ( | bool | vis | ) |

Whether to hide vertex labels during mouse interactions.

Default is off.

## ◆ GetHideVertexLabelsOnInteraction()

bool vtkGraphLayoutView::GetHideVertexLabelsOnInteraction | ( |  | ) |

Whether to hide vertex labels during mouse interactions.

Default is off.

## ◆ HideVertexLabelsOnInteractionOn()

virtual void vtkGraphLayoutView::HideVertexLabelsOnInteractionOn | ( |  | ) |
| virtual

Whether to hide vertex labels during mouse interactions.

Default is off.

## ◆ HideVertexLabelsOnInteractionOff()

virtual void vtkGraphLayoutView::HideVertexLabelsOnInteractionOff | ( |  | ) |
| virtual

Whether to hide vertex labels during mouse interactions.

Default is off.

## ◆ SetEdgeVisibility()

void vtkGraphLayoutView::SetEdgeVisibility | ( | bool | vis | ) |

Whether to show the edges at all.

Default is on

## ◆ GetEdgeVisibility()

bool vtkGraphLayoutView::GetEdgeVisibility | ( |  | ) |

Whether to show the edges at all.

Default is on

## ◆ EdgeVisibilityOn()

virtual void vtkGraphLayoutView::EdgeVisibilityOn | ( |  | ) |
| virtual

Whether to show the edges at all.

Default is on

## ◆ EdgeVisibilityOff()

virtual void vtkGraphLayoutView::EdgeVisibilityOff | ( |  | ) |
| virtual

Whether to show the edges at all.

Default is on

## ◆ SetEdgeLabelVisibility()

void vtkGraphLayoutView::SetEdgeLabelVisibility | ( | bool | vis | ) |

Whether to show edge labels.

Default is off.

## ◆ GetEdgeLabelVisibility()

bool vtkGraphLayoutView::GetEdgeLabelVisibility | ( |  | ) |

Whether to show edge labels.

Default is off.

## ◆ EdgeLabelVisibilityOn()

virtual void vtkGraphLayoutView::EdgeLabelVisibilityOn | ( |  | ) |
| virtual

Whether to show edge labels.

Default is off.

## ◆ EdgeLabelVisibilityOff()

virtual void vtkGraphLayoutView::EdgeLabelVisibilityOff | ( |  | ) |
| virtual

Whether to show edge labels.

Default is off.

## ◆ SetHideEdgeLabelsOnInteraction()

void vtkGraphLayoutView::SetHideEdgeLabelsOnInteraction | ( | bool | vis | ) |

Whether to hide edge labels during mouse interactions.

Default is off.

## ◆ GetHideEdgeLabelsOnInteraction()

bool vtkGraphLayoutView::GetHideEdgeLabelsOnInteraction | ( |  | ) |

Whether to hide edge labels during mouse interactions.

Default is off.

## ◆ HideEdgeLabelsOnInteractionOn()

virtual void vtkGraphLayoutView::HideEdgeLabelsOnInteractionOn | ( |  | ) |
| virtual

Whether to hide edge labels during mouse interactions.

Default is off.

## ◆ HideEdgeLabelsOnInteractionOff()

virtual void vtkGraphLayoutView::HideEdgeLabelsOnInteractionOff | ( |  | ) |
| virtual

Whether to hide edge labels during mouse interactions.

Default is off.

## ◆ SetVertexColorArrayName()

void vtkGraphLayoutView::SetVertexColorArrayName | ( | const char * | name | ) |

The array to use for coloring vertices.

The default behavior is to color by vertex degree.

## ◆ GetVertexColorArrayName()

const char* vtkGraphLayoutView::GetVertexColorArrayName | ( |  | ) |

The array to use for coloring vertices.

The default behavior is to color by vertex degree.

## ◆ SetColorVertices()

void vtkGraphLayoutView::SetColorVertices | ( | bool | vis | ) |

Whether to color vertices.

Default is off.

## ◆ GetColorVertices()

bool vtkGraphLayoutView::GetColorVertices | ( |  | ) |

Whether to color vertices.

Default is off.

## ◆ ColorVerticesOn()

virtual void vtkGraphLayoutView::ColorVerticesOn | ( |  | ) |
| virtual

Whether to color vertices.

Default is off.

## ◆ ColorVerticesOff()

virtual void vtkGraphLayoutView::ColorVerticesOff | ( |  | ) |
| virtual

Whether to color vertices.

Default is off.

## ◆ SetEdgeColorArrayName()

void vtkGraphLayoutView::SetEdgeColorArrayName | ( | const char * | name | ) |

The array to use for coloring edges.

Default is "color".

## ◆ GetEdgeColorArrayName()

const char* vtkGraphLayoutView::GetEdgeColorArrayName | ( |  | ) |

The array to use for coloring edges.

Default is "color".

## ◆ SetColorEdges()

void vtkGraphLayoutView::SetColorEdges | ( | bool | vis | ) |

Whether to color edges.

Default is off.

## ◆ GetColorEdges()

bool vtkGraphLayoutView::GetColorEdges | ( |  | ) |

Whether to color edges.

Default is off.

## ◆ ColorEdgesOn()

virtual void vtkGraphLayoutView::ColorEdgesOn | ( |  | ) |
| virtual

Whether to color edges.

Default is off.

## ◆ ColorEdgesOff()

virtual void vtkGraphLayoutView::ColorEdgesOff | ( |  | ) |
| virtual

Whether to color edges.

Default is off.

## ◆ SetEdgeSelection()

void vtkGraphLayoutView::SetEdgeSelection | ( | bool | vis | ) |

Whether edges are selectable.

Default is on.

## ◆ GetEdgeSelection()

bool vtkGraphLayoutView::GetEdgeSelection | ( |  | ) |

Whether edges are selectable.

Default is on.

## ◆ EdgeSelectionOn()

virtual void vtkGraphLayoutView::EdgeSelectionOn | ( |  | ) |
| virtual

Whether edges are selectable.

Default is on.

## ◆ EdgeSelectionOff()

virtual void vtkGraphLayoutView::EdgeSelectionOff | ( |  | ) |
| virtual

Whether edges are selectable.

Default is on.

## ◆ SetEnabledEdgesArrayName()

void vtkGraphLayoutView::SetEnabledEdgesArrayName | ( | const char * | name | ) |

The array to use for coloring edges.

## ◆ GetEnabledEdgesArrayName()

const char* vtkGraphLayoutView::GetEnabledEdgesArrayName | ( |  | ) |

The array to use for coloring edges.

## ◆ SetEnableEdgesByArray()

void vtkGraphLayoutView::SetEnableEdgesByArray | ( | bool | vis | ) |

Whether to color edges.

Default is off.

## ◆ GetEnableEdgesByArray()

int vtkGraphLayoutView::GetEnableEdgesByArray | ( |  | ) |

Whether to color edges.

Default is off.

## ◆ SetEnabledVerticesArrayName()

void vtkGraphLayoutView::SetEnabledVerticesArrayName | ( | const char * | name | ) |

The array to use for coloring vertices.

## ◆ GetEnabledVerticesArrayName()

const char* vtkGraphLayoutView::GetEnabledVerticesArrayName | ( |  | ) |

The array to use for coloring vertices.

## ◆ SetEnableVerticesByArray()

void vtkGraphLayoutView::SetEnableVerticesByArray | ( | bool | vis | ) |

Whether to color vertices.

Default is off.

## ◆ GetEnableVerticesByArray()

int vtkGraphLayoutView::GetEnableVerticesByArray | ( |  | ) |

Whether to color vertices.

Default is off.

## ◆ SetScalingArrayName()

void vtkGraphLayoutView::SetScalingArrayName | ( | const char * | name | ) |

The array used for scaling (if ScaledGlyphs is ON)

## ◆ GetScalingArrayName()

const char* vtkGraphLayoutView::GetScalingArrayName | ( |  | ) |

The array used for scaling (if ScaledGlyphs is ON)

## ◆ SetScaledGlyphs()

void vtkGraphLayoutView::SetScaledGlyphs | ( | bool | arg | ) |

Whether to use scaled glyphs or not.

Default is off.

## ◆ GetScaledGlyphs()

bool vtkGraphLayoutView::GetScaledGlyphs | ( |  | ) |

Whether to use scaled glyphs or not.

Default is off.

## ◆ ScaledGlyphsOn()

virtual void vtkGraphLayoutView::ScaledGlyphsOn | ( |  | ) |
| virtual

Whether to use scaled glyphs or not.

Default is off.

## ◆ ScaledGlyphsOff()

virtual void vtkGraphLayoutView::ScaledGlyphsOff | ( |  | ) |
| virtual

Whether to use scaled glyphs or not.

Default is off.

## ◆ SetLayoutStrategy() [1/2]

void vtkGraphLayoutView::SetLayoutStrategy | ( | const char * | name | ) |

The layout strategy to use when performing the graph layout.

The possible strings are:

- "Random" Randomly places vertices in a box.
- "Force Directed" A layout in 3D or 2D simulating forces on edges.
- "Simple 2D" A simple 2D force directed layout.
- "Clustering 2D" A 2D force directed layout that's just like simple 2D but uses some techniques to cluster better.
- "Community 2D" A linear-time 2D layout that's just like Fast 2D but looks for and uses a community array to 'accentuate' clusters.
- "Fast 2D" A linear-time 2D layout.
- "Pass Through" Use locations assigned to the input.
- "Circular" Places vertices uniformly on a circle.
- "Cone" Cone tree layout.
- "Span Tree" Span Tree Layout. Default is "Simple 2D".

## ◆ SetLayoutStrategyToRandom()

void vtkGraphLayoutView::SetLayoutStrategyToRandom | ( |  | ) |
| inline

The layout strategy to use when performing the graph layout.

The possible strings are:

- "Random" Randomly places vertices in a box.
- "Force Directed" A layout in 3D or 2D simulating forces on edges.
- "Simple 2D" A simple 2D force directed layout.
- "Clustering 2D" A 2D force directed layout that's just like simple 2D but uses some techniques to cluster better.
- "Community 2D" A linear-time 2D layout that's just like Fast 2D but looks for and uses a community array to 'accentuate' clusters.
- "Fast 2D" A linear-time 2D layout.
- "Pass Through" Use locations assigned to the input.
- "Circular" Places vertices uniformly on a circle.
- "Cone" Cone tree layout.
- "Span Tree" Span Tree Layout. Default is "Simple 2D".

Definition at line 234 of file vtkGraphLayoutView.h.

## ◆ SetLayoutStrategyToForceDirected()

void vtkGraphLayoutView::SetLayoutStrategyToForceDirected | ( |  | ) |
| inline

The layout strategy to use when performing the graph layout.

The possible strings are:

- "Random" Randomly places vertices in a box.
- "Force Directed" A layout in 3D or 2D simulating forces on edges.
- "Simple 2D" A simple 2D force directed layout.
- "Clustering 2D" A 2D force directed layout that's just like simple 2D but uses some techniques to cluster better.
- "Community 2D" A linear-time 2D layout that's just like Fast 2D but looks for and uses a community array to 'accentuate' clusters.
- "Fast 2D" A linear-time 2D layout.
- "Pass Through" Use locations assigned to the input.
- "Circular" Places vertices uniformly on a circle.
- "Cone" Cone tree layout.
- "Span Tree" Span Tree Layout. Default is "Simple 2D".

Definition at line 235 of file vtkGraphLayoutView.h.

## ◆ SetLayoutStrategyToSimple2D()

void vtkGraphLayoutView::SetLayoutStrategyToSimple2D | ( |  | ) |
| inline

The layout strategy to use when performing the graph layout.

The possible strings are:

- "Random" Randomly places vertices in a box.
- "Force Directed" A layout in 3D or 2D simulating forces on edges.
- "Simple 2D" A simple 2D force directed layout.
- "Clustering 2D" A 2D force directed layout that's just like simple 2D but uses some techniques to cluster better.
- "Community 2D" A linear-time 2D layout that's just like Fast 2D but looks for and uses a community array to 'accentuate' clusters.
- "Fast 2D" A linear-time 2D layout.
- "Pass Through" Use locations assigned to the input.
- "Circular" Places vertices uniformly on a circle.
- "Cone" Cone tree layout.
- "Span Tree" Span Tree Layout. Default is "Simple 2D".

Definition at line 236 of file vtkGraphLayoutView.h.

## ◆ SetLayoutStrategyToClustering2D()

void vtkGraphLayoutView::SetLayoutStrategyToClustering2D | ( |  | ) |
| inline

The layout strategy to use when performing the graph layout.

The possible strings are:

- "Random" Randomly places vertices in a box.
- "Force Directed" A layout in 3D or 2D simulating forces on edges.
- "Simple 2D" A simple 2D force directed layout.
- "Clustering 2D" A 2D force directed layout that's just like simple 2D but uses some techniques to cluster better.
- "Community 2D" A linear-time 2D layout that's just like Fast 2D but looks for and uses a community array to 'accentuate' clusters.
- "Fast 2D" A linear-time 2D layout.
- "Pass Through" Use locations assigned to the input.
- "Circular" Places vertices uniformly on a circle.
- "Cone" Cone tree layout.
- "Span Tree" Span Tree Layout. Default is "Simple 2D".

Definition at line 237 of file vtkGraphLayoutView.h.

## ◆ SetLayoutStrategyToCommunity2D()

void vtkGraphLayoutView::SetLayoutStrategyToCommunity2D | ( |  | ) |
| inline

The layout strategy to use when performing the graph layout.

The possible strings are:

- "Random" Randomly places vertices in a box.
- "Force Directed" A layout in 3D or 2D simulating forces on edges.
- "Simple 2D" A simple 2D force directed layout.
- "Clustering 2D" A 2D force directed layout that's just like simple 2D but uses some techniques to cluster better.
- "Community 2D" A linear-time 2D layout that's just like Fast 2D but looks for and uses a community array to 'accentuate' clusters.
- "Fast 2D" A linear-time 2D layout.
- "Pass Through" Use locations assigned to the input.
- "Circular" Places vertices uniformly on a circle.
- "Cone" Cone tree layout.
- "Span Tree" Span Tree Layout. Default is "Simple 2D".

Definition at line 238 of file vtkGraphLayoutView.h.

## ◆ SetLayoutStrategyToFast2D()

void vtkGraphLayoutView::SetLayoutStrategyToFast2D | ( |  | ) |
| inline

The layout strategy to use when performing the graph layout.

The possible strings are:

- "Random" Randomly places vertices in a box.
- "Force Directed" A layout in 3D or 2D simulating forces on edges.
- "Simple 2D" A simple 2D force directed layout.
- "Clustering 2D" A 2D force directed layout that's just like simple 2D but uses some techniques to cluster better.
- "Community 2D" A linear-time 2D layout that's just like Fast 2D but looks for and uses a community array to 'accentuate' clusters.
- "Fast 2D" A linear-time 2D layout.
- "Pass Through" Use locations assigned to the input.
- "Circular" Places vertices uniformly on a circle.
- "Cone" Cone tree layout.
- "Span Tree" Span Tree Layout. Default is "Simple 2D".

Definition at line 239 of file vtkGraphLayoutView.h.

## ◆ SetLayoutStrategyToPassThrough()

void vtkGraphLayoutView::SetLayoutStrategyToPassThrough | ( |  | ) |
| inline

The layout strategy to use when performing the graph layout.

The possible strings are:

- "Random" Randomly places vertices in a box.
- "Force Directed" A layout in 3D or 2D simulating forces on edges.
- "Simple 2D" A simple 2D force directed layout.
- "Clustering 2D" A 2D force directed layout that's just like simple 2D but uses some techniques to cluster better.
- "Community 2D" A linear-time 2D layout that's just like Fast 2D but looks for and uses a community array to 'accentuate' clusters.
- "Fast 2D" A linear-time 2D layout.
- "Pass Through" Use locations assigned to the input.
- "Circular" Places vertices uniformly on a circle.
- "Cone" Cone tree layout.
- "Span Tree" Span Tree Layout. Default is "Simple 2D".

Definition at line 240 of file vtkGraphLayoutView.h.

## ◆ SetLayoutStrategyToCircular()

void vtkGraphLayoutView::SetLayoutStrategyToCircular | ( |  | ) |
| inline

The layout strategy to use when performing the graph layout.

The possible strings are:

- "Random" Randomly places vertices in a box.
- "Force Directed" A layout in 3D or 2D simulating forces on edges.
- "Simple 2D" A simple 2D force directed layout.
- "Clustering 2D" A 2D force directed layout that's just like simple 2D but uses some techniques to cluster better.
- "Community 2D" A linear-time 2D layout that's just like Fast 2D but looks for and uses a community array to 'accentuate' clusters.
- "Fast 2D" A linear-time 2D layout.
- "Pass Through" Use locations assigned to the input.
- "Circular" Places vertices uniformly on a circle.
- "Cone" Cone tree layout.
- "Span Tree" Span Tree Layout. Default is "Simple 2D".

Definition at line 241 of file vtkGraphLayoutView.h.

## ◆ SetLayoutStrategyToTree()

void vtkGraphLayoutView::SetLayoutStrategyToTree | ( |  | ) |
| inline

The layout strategy to use when performing the graph layout.

The possible strings are:

- "Random" Randomly places vertices in a box.
- "Force Directed" A layout in 3D or 2D simulating forces on edges.
- "Simple 2D" A simple 2D force directed layout.
- "Clustering 2D" A 2D force directed layout that's just like simple 2D but uses some techniques to cluster better.
- "Community 2D" A linear-time 2D layout that's just like Fast 2D but looks for and uses a community array to 'accentuate' clusters.
- "Fast 2D" A linear-time 2D layout.
- "Pass Through" Use locations assigned to the input.
- "Circular" Places vertices uniformly on a circle.
- "Cone" Cone tree layout.
- "Span Tree" Span Tree Layout. Default is "Simple 2D".

Definition at line 242 of file vtkGraphLayoutView.h.

## ◆ SetLayoutStrategyToCosmicTree()

void vtkGraphLayoutView::SetLayoutStrategyToCosmicTree | ( |  | ) |
| inline

The layout strategy to use when performing the graph layout.

The possible strings are:

- "Random" Randomly places vertices in a box.
- "Force Directed" A layout in 3D or 2D simulating forces on edges.
- "Simple 2D" A simple 2D force directed layout.
- "Clustering 2D" A 2D force directed layout that's just like simple 2D but uses some techniques to cluster better.
- "Community 2D" A linear-time 2D layout that's just like Fast 2D but looks for and uses a community array to 'accentuate' clusters.
- "Fast 2D" A linear-time 2D layout.
- "Pass Through" Use locations assigned to the input.
- "Circular" Places vertices uniformly on a circle.
- "Cone" Cone tree layout.
- "Span Tree" Span Tree Layout. Default is "Simple 2D".

Definition at line 243 of file vtkGraphLayoutView.h.

## ◆ SetLayoutStrategyToCone()

void vtkGraphLayoutView::SetLayoutStrategyToCone | ( |  | ) |
| inline

The layout strategy to use when performing the graph layout.

The possible strings are:

- "Random" Randomly places vertices in a box.
- "Force Directed" A layout in 3D or 2D simulating forces on edges.
- "Simple 2D" A simple 2D force directed layout.
- "Clustering 2D" A 2D force directed layout that's just like simple 2D but uses some techniques to cluster better.
- "Community 2D" A linear-time 2D layout that's just like Fast 2D but looks for and uses a community array to 'accentuate' clusters.
- "Fast 2D" A linear-time 2D layout.
- "Pass Through" Use locations assigned to the input.
- "Circular" Places vertices uniformly on a circle.
- "Cone" Cone tree layout.
- "Span Tree" Span Tree Layout. Default is "Simple 2D".

Definition at line 244 of file vtkGraphLayoutView.h.

## ◆ SetLayoutStrategyToSpanTree()

void vtkGraphLayoutView::SetLayoutStrategyToSpanTree | ( |  | ) |
| inline

The layout strategy to use when performing the graph layout.

The possible strings are:

- "Random" Randomly places vertices in a box.
- "Force Directed" A layout in 3D or 2D simulating forces on edges.
- "Simple 2D" A simple 2D force directed layout.
- "Clustering 2D" A 2D force directed layout that's just like simple 2D but uses some techniques to cluster better.
- "Community 2D" A linear-time 2D layout that's just like Fast 2D but looks for and uses a community array to 'accentuate' clusters.
- "Fast 2D" A linear-time 2D layout.
- "Pass Through" Use locations assigned to the input.
- "Circular" Places vertices uniformly on a circle.
- "Cone" Cone tree layout.
- "Span Tree" Span Tree Layout. Default is "Simple 2D".

Definition at line 245 of file vtkGraphLayoutView.h.

## ◆ GetLayoutStrategyName()

const char* vtkGraphLayoutView::GetLayoutStrategyName | ( |  | ) |

The layout strategy to use when performing the graph layout.

The possible strings are:

- "Random" Randomly places vertices in a box.
- "Force Directed" A layout in 3D or 2D simulating forces on edges.
- "Simple 2D" A simple 2D force directed layout.
- "Clustering 2D" A 2D force directed layout that's just like simple 2D but uses some techniques to cluster better.
- "Community 2D" A linear-time 2D layout that's just like Fast 2D but looks for and uses a community array to 'accentuate' clusters.
- "Fast 2D" A linear-time 2D layout.
- "Pass Through" Use locations assigned to the input.
- "Circular" Places vertices uniformly on a circle.
- "Cone" Cone tree layout.
- "Span Tree" Span Tree Layout. Default is "Simple 2D".

## ◆ GetLayoutStrategy()

vtkGraphLayoutStrategy* vtkGraphLayoutView::GetLayoutStrategy | ( |  | ) |

The layout strategy to use when performing the graph layout.

This signature allows an application to create a layout object directly and simply set the pointer through this method.

## ◆ SetLayoutStrategy() [2/2]

void vtkGraphLayoutView::SetLayoutStrategy | ( | vtkGraphLayoutStrategy * | s | ) |

The layout strategy to use when performing the graph layout.

This signature allows an application to create a layout object directly and simply set the pointer through this method.

## ◆ SetEdgeLayoutStrategy() [1/2]

void vtkGraphLayoutView::SetEdgeLayoutStrategy | ( | const char * | name | ) |

The layout strategy to use when performing the edge layout.

The possible strings are: "Arc Parallel" - Arc parallel edges and self loops. "Pass Through" - Use edge routes assigned to the input. Default is "Arc Parallel".

## ◆ SetEdgeLayoutStrategyToArcParallel()

void vtkGraphLayoutView::SetEdgeLayoutStrategyToArcParallel | ( |  | ) |
| inline

The layout strategy to use when performing the edge layout.

The possible strings are: "Arc Parallel" - Arc parallel edges and self loops. "Pass Through" - Use edge routes assigned to the input. Default is "Arc Parallel".

Definition at line 268 of file vtkGraphLayoutView.h.

## ◆ SetEdgeLayoutStrategyToPassThrough()

void vtkGraphLayoutView::SetEdgeLayoutStrategyToPassThrough | ( |  | ) |
| inline

The layout strategy to use when performing the edge layout.

The possible strings are: "Arc Parallel" - Arc parallel edges and self loops. "Pass Through" - Use edge routes assigned to the input. Default is "Arc Parallel".

Definition at line 269 of file vtkGraphLayoutView.h.

## ◆ GetEdgeLayoutStrategyName()

const char* vtkGraphLayoutView::GetEdgeLayoutStrategyName | ( |  | ) |

The layout strategy to use when performing the edge layout.

The possible strings are: "Arc Parallel" - Arc parallel edges and self loops. "Pass Through" - Use edge routes assigned to the input. Default is "Arc Parallel".

## ◆ GetEdgeLayoutStrategy()

vtkEdgeLayoutStrategy* vtkGraphLayoutView::GetEdgeLayoutStrategy | ( |  | ) |

The layout strategy to use when performing the edge layout.

This signature allows an application to create a layout object directly and simply set the pointer through this method.

## ◆ SetEdgeLayoutStrategy() [2/2]

void vtkGraphLayoutView::SetEdgeLayoutStrategy | ( | vtkEdgeLayoutStrategy * | s | ) |

The layout strategy to use when performing the edge layout.

This signature allows an application to create a layout object directly and simply set the pointer through this method.

## ◆ AddIconType()

void vtkGraphLayoutView::AddIconType | ( | const char * | type,
|  | int | index
| ) |  |

Associate the icon at index "index" in the vtkTexture to all vertices containing "type" as a value in the vertex attribute array specified by IconArrayName.

## ◆ ClearIconTypes()

void vtkGraphLayoutView::ClearIconTypes | ( |  | ) |

Clear all icon mappings.

## ◆ SetIconAlignment()

void vtkGraphLayoutView::SetIconAlignment | ( | int | alignment | ) |

Specify where the icons should be placed in relation to the vertex.

See vtkIconGlyphFilter.h for possible values.

## ◆ SetIconVisibility()

void vtkGraphLayoutView::SetIconVisibility | ( | bool | b | ) |

Whether icons are visible (default off).

## ◆ GetIconVisibility()

bool vtkGraphLayoutView::GetIconVisibility | ( |  | ) |

Whether icons are visible (default off).

## ◆ IconVisibilityOn()

virtual void vtkGraphLayoutView::IconVisibilityOn | ( |  | ) |
| virtual

Whether icons are visible (default off).

## ◆ IconVisibilityOff()

virtual void vtkGraphLayoutView::IconVisibilityOff | ( |  | ) |
| virtual

Whether icons are visible (default off).

## ◆ SetIconArrayName()

void vtkGraphLayoutView::SetIconArrayName | ( | const char * | name | ) |

The array used for assigning icons.

## ◆ GetIconArrayName()

const char* vtkGraphLayoutView::GetIconArrayName | ( |  | ) |

The array used for assigning icons.

## ◆ SetGlyphType()

void vtkGraphLayoutView::SetGlyphType | ( | int | type | ) |

The type of glyph to use for the vertices.

## ◆ GetGlyphType()

int vtkGraphLayoutView::GetGlyphType | ( |  | ) |

The type of glyph to use for the vertices.

## ◆ SetVertexLabelFontSize()

virtual void vtkGraphLayoutView::SetVertexLabelFontSize | ( | int | size | ) |
| virtual

The size of the font used for vertex labeling.

## ◆ GetVertexLabelFontSize()

virtual int vtkGraphLayoutView::GetVertexLabelFontSize | ( |  | ) |
| virtual

The size of the font used for vertex labeling.

## ◆ SetEdgeLabelFontSize()

virtual void vtkGraphLayoutView::SetEdgeLabelFontSize | ( | int | size | ) |
| virtual

The size of the font used for edge labeling.

## ◆ GetEdgeLabelFontSize()

virtual int vtkGraphLayoutView::GetEdgeLabelFontSize | ( |  | ) |
| virtual

The size of the font used for edge labeling.

## ◆ SetEdgeScalarBarVisibility()

void vtkGraphLayoutView::SetEdgeScalarBarVisibility | ( | bool | vis | ) |

Whether the scalar bar for edges is visible.

Default is off.

## ◆ GetEdgeScalarBarVisibility()

bool vtkGraphLayoutView::GetEdgeScalarBarVisibility | ( |  | ) |

Whether the scalar bar for edges is visible.

Default is off.

## ◆ SetVertexScalarBarVisibility()

void vtkGraphLayoutView::SetVertexScalarBarVisibility | ( | bool | vis | ) |

Whether the scalar bar for vertices is visible.

Default is off.

## ◆ GetVertexScalarBarVisibility()

bool vtkGraphLayoutView::GetVertexScalarBarVisibility | ( |  | ) |

Whether the scalar bar for vertices is visible.

Default is off.

## ◆ ZoomToSelection()

void vtkGraphLayoutView::ZoomToSelection | ( |  | ) |

Reset the camera based on the bounds of the selected region.

## ◆ IsLayoutComplete()

virtual int vtkGraphLayoutView::IsLayoutComplete | ( |  | ) |
| virtual

Is the graph layout complete? This method is useful for when the strategy is iterative and the application wants to show the iterative progress of the graph layout See Also: UpdateLayout();.

## ◆ UpdateLayout()

virtual void vtkGraphLayoutView::UpdateLayout | ( |  | ) |
| virtual

This method is useful for when the strategy is iterative and the application wants to show the iterative progress of the graph layout.

The application would have something like while(!IsLayoutComplete()) { UpdateLayout(); } See Also: IsLayoutComplete();

## ◆ CreateDefaultRepresentation()

vtkDataRepresentation* vtkGraphLayoutView::CreateDefaultRepresentation | ( | vtkAlgorithmOutput * | conn | ) |
| overrideprotectedvirtual

Overrides behavior in vtkView to create a vtkRenderedGraphRepresentation by default.

Reimplemented from vtkView.

Reimplemented in vtkHierarchicalGraphView.

## ◆ GetGraphRepresentation()

virtual vtkRenderedGraphRepresentation* vtkGraphLayoutView::GetGraphRepresentation | ( |  | ) |
| protectedvirtual

Overrides behavior in vtkView to create a vtkRenderedGraphRepresentation by default.

Reimplemented in vtkHierarchicalGraphView.

## ◆ ProcessEvents()

void vtkGraphLayoutView::ProcessEvents | ( | vtkObject * | caller,
|  | unsigned long | eventId,
|  | void * | callData
| ) |  |
| overrideprotectedvirtual

Overrides behavior in vtkView to create a vtkRenderedGraphRepresentation by default.

Reimplemented from vtkView.

The documentation for this class was generated from the following file:

- Views/Infovis/vtkGraphLayoutView.h